Bug 520228 - Sound from a KVM guest too choppy; goes off after a while
Summary: Sound from a KVM guest too choppy; goes off after a while
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-29 10:23 UTC by Amit Shah
Modified: 2014-06-23 12:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:22:22 UTC


Attachments (Terms of Use)
pacmd 'ls' output (20.21 KB, application/octet-stream)
2009-08-29 10:23 UTC, Amit Shah
no flags Details

Description Amit Shah 2009-08-29 10:23:42 UTC
Created attachment 359139 [details]
pacmd 'ls' output

Description of problem:
KVM supports alsa as a driver and emulates the ac97 sound card. Playing sound inside the guest results in very choppy output at first. After a while, it's completely gone for a few seconds before it comes back for a brief while and goes back.

Attaching pacmd 'ls' output at the time of playing the sound.

Some /var/log/messages output at the time this happened:

Aug 29 15:41:15 amit-x200 pulseaudio[2311]: alsa-sink.c: Increasing minimal latency to 16.00 ms
Aug 29 15:42:17 amit-x200 pulseaudio[2311]: alsa-source.c: Increasing minimal latency to 16.00 ms
Aug 29 15:43:15 amit-x200 pulseaudio[2311]: alsa-sink.c: Increasing wakeup watermark to 7.98 ms
Aug 29 15:47:32 amit-x200 pulseaudio[2311]: alsa-source.c: Increasing wakeup watermark to 7.98 ms
Aug 29 15:47:37 amit-x200 pulseaudio[2311]: alsa-sink.c: Increasing wakeup watermark to 8.00 ms
Aug 29 15:47:38 amit-x200 pulseaudio[2311]: alsa-sink.c: Increasing minimal latency to 26.00 ms
Aug 29 15:48:19 amit-x200 pulseaudio[2311]: alsa-source.c: Increasing wakeup watermark to 8.00 ms
Aug 29 15:48:44 amit-x200 pulseaudio[2311]: alsa-sink.c: Increasing wakeup watermark to 15.99 ms
Aug 29 15:49:01 amit-x200 pulseaudio[2311]: alsa-source.c: Increasing minimal latency to 26.00 ms

Comment 1 Adam Williamson 2009-10-20 19:43:00 UTC
is this still the case with the latest F11 kernel? for clarity, are you running F11 as both the host and guest OS?

can we get pulseaudio -vvvv output when the issue happens? run:

pulseaudio -k
pulseaudio -vvvv

in a console, it will run pa in that console with verbose information, attach that output. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2010-04-28 10:03:32 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:22:22 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.